# Проект библиотеки для работы с автомобильными номерами РФ

Проект библиотеки для работы с номерами РФ, функции реализованные в библиотеке:

- bool CheckMark(string mark) - проверяет строку, на соответствие стандартам Российских номеров автомобилей
- string GetNextMarkAfter(string mark) - генерирует следующий в последовательности автомобильный номер
- string GetNextMarkAfterInRange(string prevMark, string rangeStart, string rangeEnd) - генерирует следующий в последовательности автомобильный номер, в рамках заданных границ
- int GetCombinationsCountInRange(string markone, string marktwo) - возвращает количество номеров в заданных границах, включая границы

## Начало работы

Эти инструкции предоставят вам копию проекта бибилиотеки DLL, которую вы можете запустить и протестировать на своём персональном компьютере.
Вы можете получить копию проекта следуя по одному из двух путей:
1. Клонирование репозитория, находящегося на сайте GOGS
2. Скачивание архива из репозитория, находящегося на сайте GOGS

### Необходимые условия

Для работы с проектом требуется: 
- Доступ к GOGS [Репозиторий проекта](http://gogs.ngknn.ru:3000/AsterDk/REG_MARK_LIB)
- IDE Visual Studio для работы с проектом [Microsoft Visual Studio](https://visualstudio.microsoft.com/ru/)

### Установка

1. **Клонирование репозитория**
	- Открыть Microsoft Visual Studio
	- В стартовом меню выбрать пункт "Клонирование репозитория"
	- В появившемся окне, в поле "Расположение репозитория" необходимо скопировать ссылку на репозиторий
	- В поле "Путь" можно выбрать путь скачивания проекта или оставить его по умолчанию
	- Нажать на кнопку "Клонировать"
2. **Скачивание архива**
	- Скачать архив из GOGS репозитория, нажав на кнопку скачивания архива рядом со ссылкой на репозиторий и выбрав тип архива
	- Разархивировать скаченный архив
	- Открыть проект кликом по .sln файлу в разархивированной папке

## Авторы

* **Kudryashov Dmitry** - [AsterDK](http://gogs.ngknn.ru:3000/AsterDk)
